type ContentTypeOption = string | undefined;
export type RenderResultMetadata = {
    pageData?: any;
    revalidate?: any;
    staticBailoutInfo?: any;
    assetQueryString?: string;
    isNotFound?: boolean;
    isRedirect?: boolean;
};
export interface PipeTarget {
    write: (chunk: Uint8Array) => unknown;
    end: () => unknown;
    flush?: () => unknown;
    destroy: (err?: Error) => unknown;
}
export default class RenderResult {
    private readonly _response;
    private readonly _contentType;
    private readonly _metadata;
    constructor(response: string | ReadableStream<Uint8Array> | null, { contentType, ...metadata }?: {
        contentType?: ContentTypeOption;
    } & RenderResultMetadata);
    get metadata(): Readonly<RenderResultMetadata>;
    isNull(): boolean;
    contentType(): ContentTypeOption;
    toUnchunkedString(): string;
    pipe(res: PipeTarget): Promise<void>;
    isDynamic(): boolean;
    static fromStatic(value: string): RenderResult;
    static empty: RenderResult;
}
export {};
